=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2014-07-17 19:38:21 +0000
+++ CMakeLists.txt	2014-08-13 08:36:53 +0000
@@ -1,5 +1,7 @@
 project(com.ubuntu.filemanager C CXX)
 cmake_minimum_required(VERSION 2.8.9)
+find_program(INTLTOOL_MERGE intltool-merge)
+find_program(INTLTOOL_EXTRACT intltool-extract)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra -fPIC")
@@ -54,8 +56,9 @@
 endif(CLICK_MODE)
 
 file(GLOB_RECURSE I18N_SRC_FILES
-     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
-     src/app/**.qml *.desktop.in)
+     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/po
+     *.qml *.js *.cpp *.h)
+list(APPEND I18N_SRC_FILES ${DESKTOP_FILE}.in.in.h)
 list(SORT I18N_SRC_FILES)
 
 file(GLOB SRC_FILES
@@ -63,7 +66,13 @@
      *.qml *.js *.png *.svg *.json)
 install(FILES ${SRC_FILES}  DESTINATION ${DATA_DIR})
 
-configure_file(${DESKTOP_FILE}.in ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
+configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
+
+add_custom_target(${DESKTOP_FILE} ALL
+    COMMENT "Merging translations into ${DESKTOP_FILE}..."
+    COMMAND LC_ALL=C ${INTLTOOL_MERGE} -d -u ${CMAKE_SOURCE_DIR}/po ${DESKTOP_FILE}.in ${DESKTOP_FILE}
+)
+
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
     DESTINATION ${DESKTOP_DIR})
 

=== modified file 'README.translations'
--- README.translations	2013-12-30 20:40:05 +0000
+++ README.translations	2014-08-13 08:36:53 +0000
@@ -10,8 +10,8 @@
 translatable messages to translators. So whenever you add new translatable
 messages in the code, make sure to follow these steps:
 
- 1. Change directory to the po/ folder: `cd po`
- 2. Update the translations template: `qmake && make pot`
+ 1. Run click-buddy retaining the build directory:
+    `click-buddy --dir . --no-clean`
  3. Commit the generated .pot file: `bzr commit -m"Updated translation template"`
  4. Push the branch and send a merge proposal as usual
 

=== renamed file 'com.ubuntu.filemanager.desktop.in' => 'com.ubuntu.filemanager.desktop.in.in'
--- com.ubuntu.filemanager.desktop.in	2014-07-21 14:43:45 +0000
+++ com.ubuntu.filemanager.desktop.in.in	2014-08-13 08:36:53 +0000
@@ -4,7 +4,6 @@
 Terminal=false
 Exec=@EXEC@
 Icon=@ICON@
-Name=File Manager
+_Name=File Manager
 X-Ubuntu-Touch=true
-X-Ubuntu-Gettext-Domain=@PROJECT_NAME@
 X-Ubuntu-Default-Department-ID=accessories

=== modified file 'debian/control'
--- debian/control	2014-07-28 12:52:31 +0000
+++ debian/control	2014-08-13 08:36:53 +0000
@@ -3,11 +3,12 @@
 Maintainer: Ubuntu App Cats <ubuntu-touch-coreapps@lists.launchpad.net>
 Build-Depends: cmake,
                debhelper (>= 9),
+               intltool,
                qtbase5-dev,
                qtdeclarative5-dev,
                qt5-default,
                pkg-kde-tools,
-	       python3-all,
+               python3-all,
                libtag1-dev,
 Standards-Version: 3.9.5
 Section: misc

=== modified file 'po/CMakeLists.txt'
--- po/CMakeLists.txt	2014-01-31 20:03:12 +0000
+++ po/CMakeLists.txt	2014-08-13 08:36:53 +0000
@@ -5,15 +5,20 @@
 set(POT_FILE ${DOMAIN}.pot)
 file(GLOB PO_FILES *.po)
 
-add_custom_target(${POT_FILE}
-                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
-                          -D ${CMAKE_SOURCE_DIR}
-                          --from-code=UTF-8
-                          --c++ --qt --add-comments=TRANSLATORS
-                          --keyword=tr --keyword=tr:1,2
-						  --package-name='${PROJECT}'
-                          --copyright-holder='Canonical Ltd.'
-                          ${I18N_SRC_FILES})
+add_custom_target(${POT_FILE} ALL
+    COMMENT "Generating translation template..."
+    COMMAND ${INTLTOOL_EXTRACT} --update --type=gettext/ini
+        --srcdir=${CMAKE_SOURCE_DIR} ${DESKTOP_FILE}.in.in
+    COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
+        -D ${CMAKE_CURRENT_SOURCE_DIR}
+        -D ${CMAKE_CURRENT_BINARY_DIR}
+        --from-code=UTF-8
+        --c++ --qt --add-comments=TRANSLATORS
+        --keyword=tr --keyword=tr:1,2 --keyword=N_
+        --package-name='${PROJECT}'
+        --copyright-holder='Canonical Ltd.'
+        ${I18N_SRC_FILES}
+    COMMAND ${CMAKE_COMMAND} -E copy ${POT_FILE} ${CMAKE_CURRENT_SOURCE_DIR})
 
 foreach(PO_FILE ${PO_FILES})
     get_filename_component(LANG ${PO_FILE} NAME_WE)

